Subject: Re: [PATCH net] net: reset ct before calling ndo_start_xmit

From: Stephen Hemminger <[email-masked]>
Date: Tue, 24 Jan 2017 09:37:33 -0800

On Tue, 24 Jan 2017 10:40:13 +0100
Paolo Abeni <[email-masked]> wrote:

>  
> +/* return true if we should preserve skb nfct before calling ndo_start_xmit() */
> +static inline bool netif_needs_ct(struct net_device *dev)
> +{
> +	/* any kind of virtual device needs to preserve the ct entry */
> +	return dev->features & NETIF_F_LLTX;
> +}
> +

I am not sure I fully understand the problem, and this looks like a special case
hack. You are overloading meaning of LLTX flag in a new way.

If you must do it then code this in place, and put comment there.
The addition of accessor function just obscures the purpose.